/**
 * Copyright 2008,2009 Ivan SZKIBA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * under the License.
 */
package net.sourceforge.tink.app.engine;

import java.io.File;

import java.net.URI;

public interface SiteConfig
{
    File getData();

    void setData(File value);

    String getExcludes();

    void setExcludes(String value);

    String getIncludes();

    void setIncludes(String value);

    String getPassword();

    void setPassword(String value);

    URI getRemote();

    void setRemote(URI value);

    File getSource();

    void setSource(File value);

    File getStage();

    void setStage(File value);

    File getTemplate();

    void setTemplate(File value);

    String getUser();

    void setUser(String value);
}
